import request from '@/utils/request'

// 查询cps_glb_view_cfg 展示配置列表
export function listViewcfg(query) {
  return request({
    url: '/cp/viewcfg/list',
    method: 'get',
    params: query
  })
}

// 查询cps_glb_view_cfg 展示配置详细
export function getViewcfg(id) {
  return request({
    url: '/cp/viewcfg/' + id,
    method: 'get'
  })
}

// 新增cps_glb_view_cfg 展示配置
export function addViewcfg(data) {
  return request({
    url: '/cp/viewcfg',
    method: 'post',
    data: data
  })
}

// 修改cps_glb_view_cfg 展示配置
export function updateViewcfg(data) {
  return request({
    url: '/cp/viewcfg',
    method: 'put',
    data: data
  })
}

// 删除cps_glb_view_cfg 展示配置
export function delViewcfg(id) {
  return request({
    url: '/cp/viewcfg/' + id,
    method: 'delete'
  })
}
